gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object A utility class that contains methods that operate on Event classes. This class contains static methods.
- Constructor
  2.12.0.0
  This constructor is never used.
  This class contains only static methods, and this constructor should never be used.
- Method
  2.12.0.0
  Gdk.Event `` The to copy. Copies a . The copied . None.
- Method
  2.12.0.0
  System.Void `` to free. Frees a . This should only be called with events returned from functions such as , , and .
- Method
  2.12.0.0
  Gdk.Event Checks all open displays for a to process, fetching events from the windowing system if necessary. See . The next to be processed, or null if no events are pending. The returned should be freed with . None.
- Method
  2.12.0.0
  System.Boolean `` `` `` A The axis use to look for. The value found. Extract the axis value for a particular axis use from an event. True if the specified axis was found, otherwise false. None.
- Method
  2.12.0.0
  System.Boolean `` `` `` A Event window x coordinate. Event window y coordinate. Extract the event window relative x/y coordinates from an event. True if the event delivered event coordinates. None.
- Method
  2.12.0.0
  Gdk.Event `` The to wait for the events for. Waits for a GraphicsExpose or NoExpose event from the X server. This is used in the GtkText and GtkCList widgets in Gtk# to make sure any Graphics Expose events are handled before the widget is scrolled. A if a GraphicsExpose was received, or null if a NoExpose event was received. None.
- Method
  2.12.0.0
  System.Boolean `` `` `` A Root window x coordinate. Root window y coordinate. Extract the root window relative x/y coordinates from an event. True if the event delivered root window coordinates. None.
- Method
  2.12.0.0
  Gdk.Screen `` A Returns the screen for the event. The screen is typically the screen for , but for events such as mouse events, it is the screen where the pointer was when the event occurs. The for the event. To be added
- Method
  2.12.0.0
  System.Boolean `` `` A or null. The of the event. If the event contains a "state" field, puts that field in state. Otherwise stores an empty state (0). True if there was a state field in the event. To be added
- Method
  2.12.0.0
  System.UInt32 `` A Returns the time stamp from event, if there is one. Otherwise returns the current time. If event is null, returns the current time.. Time stamp field from event. None.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  Gdk.Event `` A Creates a new event of the given type. All fields are set to 0. A The returned event should be freed with .
- Method
  2.12.0.0
  Gdk.Event If there is an event waiting in the event queue of some open display, returns a copy of it. See . A copy of the first on some event queue, or null if no events are in any queues. The returned should be freed with .
- Method
  2.12.0.0
  System.Void `` A Appends a copy of the given event onto the front of the event queue for 's display, or the default queue if that window is null. See . None.
- Method
  2.12.0.0
  System.Void `` A MotionNotify event. Requests additional motion notify events.
- Method
  2.12.0.0
  System.Boolean `` `` The to send, which should be a . The window to send the X ClientMessage event to. Sends an X ClientMessage event to a given window (which must be on the default .) This could be used for communicating between different applications, though the amount of data is limited to 20 bytes. True on success. None.
- Method
  2.12.0.0
  System.Boolean `` `` `` The for the window where the message is to be sent. The to send, which should be a . The window to send the client message to. On X11, sends an X ClientMessage event to a given window. On Windows, sends a message registered with the name GDK_WIN32_CLIENT_MESSAGE. This could be used for communicating between different applications, though the amount of data is limited to 20 bytes on X11, and to just four bytes on Windows. True on success. None.
- Method
  2.12.0.0
  System.Void `` The to send, which should be a . Sends an X ClientMessage event to all toplevel windows on the default . Toplevel windows are determined by checking for the WM_STATE property, as described in the Inter-Client Communication Conventions Manual (ICCCM). If no windows are found with the WM_STATE property set, the message is sent to all children of the root window. None.
- Method
  2.12.0.0
  System.Void `` `` A A Sets the screen for event to screen. The event must have been allocated by GTK+, for instance, by . None.